package com.steerinfo.route.mapper;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.route.model.TmstruckReceiptResultChild;
import org.apache.ibatis.annotations.Mapper;

import java.math.BigDecimal;
import java.util.Map;

@Mapper
public interface TmstruckReceiptResultChildMapper extends IBaseMapper<TmstruckReceiptResultChild, BigDecimal> {
    //获取主键最大值
    BigDecimal selectMaxId();

    //查询收货地址等信息
    Map<String,Object> getAddress(Map<String,Object> map);

    //查询是否删除redis
    int getDeleteRedis();
}